Description: Bonjour,

En suivant les instructions du manuel d'AMC (page 68), je n'arrive pas a envoyer les résultats de mon test.
Pourriez-vous m'aider sur le sujet?
En vous remerciant d'avance

Cordialement

History

02/21/2022 06:48 pm - Frédéric Bréal

Connectez-vous sur votre compte GMAIL puis activez I'option : autoriser les applications non sécurisées.

02/22/2022 07:19 pm - Aziz EL KAABOUCHI

Bonjour,

Tout d'abord merci pour votre réponse. ca m'a vraiment débloqué.

En revanche, sur ma machine du travail (sous ubuntu 20.04), quand je clique sur envoyer, il m'affiche le message ci-dessous:
L'envoi de courriels nécessite la présence de certains modules perl qui ne sont pas installés sur votre systéme: Email::Address
Merci pour votre aide.

Cordialement

02/22/2022 07:50 pm - Frédéric Bréal

Allez ici : https://download.auto-multiple-choice.net/auto-multiple-choice.fr.pdf et appliquez le point 10.6.1

02/22/2022 10:08 pm - Alexis Bienveniie

- Tracker changed from Feature to Support

08/27/2022 02:21 pm - Alex Ca

Frédéric Bréal wrote:

> Allez ici : https://download.auto-multiple-choice.net/auto-multiple-choice.fr.pdf et appliquez le point 10.6.1
Bonjour,

J'ai suivi ces instructions pourtant j'ai toujours ce méme message d'erreur concernant des modules perl non-installés (Email::Address)

Merci pour votre aide
Cordialement

08/27/2022 02:35 pm - Alex Ca

Je viens a l'instant de trouver cette page :

[[https://project.auto-multiple-choice.net/projects/auto-multiple-choice/wiki/Setup_ AMC_to_send_email]]

Cependant, aprés avoir installé cpan et la dépendance Email:Address dans le terminal, le bouton "Envoyer" m'affiche toujours le méme message
d'erreur que précédemment...

Merci d'avance pour votre aide

08/28/2022 11:02 am - Frédéric Bréal
Si c'est gmail que vous utilisez, c'est normal https://support.google.com/accounts/answer/6010255?hl=fr
Un utilisateur a trouvé la soution mais vous devez donner votre no de téléphone https://project.auto-multiple-choice.net/boards/4/topics/12553

@ Alexis : dans ce tuto https://project.auto-multiple-choice.net/projects/auto-multiple-choice/wiki/Setup_ AMC_to_send_email, est-il possible de rajouter
la mise en garde ou le le lien https://support.google.com/accounts/answer/6010255?hl=en ainsi que la solution
https://devanswers.co/create-application-specific-password-gmail ?

08/28/2022 11:24 am - Alexis Bienveniie
> dans ce tuto
Vous devriez avoir la possibilité de I'éditer. Ceci dit, @ mon avis ce tuto est obsoléte : plus besoin de msmtp, et si on est sous Ubuntu il vaut mieux

installer les modules perl avec le systéme de paquets Ubuntu :

sudo apt install libemail-address-per! libemail-mime-perl libemail-sender-perl

08/28/2022 02:10 pm - Alex Ca

Alexis Bienvenle wrote:

> > dans ce tuto

> Vous devriez avoir la possibilité de I'éditer. Ceci dit, a mon avis ce tuto est obsoléte : plus besoin de msmtp, et si on est sous Ubuntu il vaut mieux
installer les modules perl avec le systéme de paquets Ubuntu :

>

> sudo apt install libemail-address-perl libemail-mime-perl libemail-sender-perl

J'ai suivi votre méthode et effectivement le message d'erreur n'apparait plus.

Plutét que de passer par Gmail qui a I'air compliqué, je voudrais d'abord faire un test avec ma boite mail personnelle... Seulement au moment de
I'envoi, un message me dit "0 message envoyé ; 1 message non-envoye".

Il doit probablement s'agir d'une mauvaise configuration de la messagerie au niveau de toutes les options disponibles (stmp, port, ssl, ...) : j'ai

I'impression que chaque messagerie a ses propres configurations.

Sauriez-vous ou je peux trouver les configurations propres a la messagerie laposte.net (car j'ai I'impression de trouver des sources contradictoires sur

le net...)

Merci d'avance !

08/28/2022 03:53 pm - Frédéric Bréal
Dans préférences > courriel

De haut en bas

votre adresse
rien ou ce que vous voulez
rien ou ce que vous voulez

0.0 ou une autre valeur

Méthode d'envoi SMTP
grisé

smtp.laposte.net

465

ssl

votre adresse
mot de passe

08/31/2022 05:08 pm - Alex Ca
Frédéric Bréal wrote:

> Dans préférences > courriel
> De haut en bas

>

> votre adresse

> rien ou ce que vous voulez
> rien ou ce que vous voulez
> 0.0 ou une autre valeur

>

> Méthode d'envoi SMTP

> grisé

> smtp.laposte.net

> 465

> ssl

> votre adresse

> mot de passe

Merci beaucoup !
Une derniére question : si cela ne marche toujours pas, quels sont les autres paramétres que je peux aller vérifier ? (j'ai toujours le message "0

message envoyé ; 1 message non-envoyé")

Merci d'avance !

08/31/2022 09:57 pm - Alexis Bienveniie

Vous pouvez essayer de faire I'envoi en mode débogage (depuis le menu _Aide ), et regarder dans le fichier @log@ produit si vous voyez plus de
précisions sur la source de I'erreur (au besoin, la poster ou me I'envoyer, en faisant attention de supprimer les informations personnelles sans

dénaturer les messages).

09/01/2022 11:49 am - Alex Ca

Alexis Bienvenue wrote:

> Vous pouvez essayer de faire I'envoi en mode débogage (depuis le menu _Aide_), et regarder dans le fichier @log@ produit si vous voyez plus de
précisions sur la source de l'erreur (au besoin, la poster ou me I'envoyer, en faisant attention de supprimer les informations personnelles sans
dénaturer les messages).

Voici le fichier log produit :

_"Thu Sep 1 11:40:10 2022 Starting mailing...

FAILED [id_eleve -> mail_eleve] unable to establish SMTP connection to (smtp.laposte.net) port 465" _

J'ai aussi essayé les ports 587 et 25 mais cela n'y change rien...

Pourrait-il y avoir une raison du fait que j'ai installé Ubuntu sur Windows ?

Merci d'avance !

09/01/2022 12:42 pm - Alexis Bienveniie

Que se passe-t-il si vous essayez la commande suivante depuis un terminal sous Ubuntu ?

telnet smtp.laposte.net 465
09/01/2022 12:45 pm - Alexis Bienveniie
Le serveur SMTP n'a pas l'air d'étre en SSL, donc il faut plutét mettre STARTTLS dans la configuration (Sécurité SMTP).

09/01/2022 06:40 pm - Alex Ca
Rebonjour !

En marquant @telnet smtp.laposte.net 465@ sur Ubuntu, j'obtiens :

@Trying 160.92.124.65...
Connected to smtp.laposte.net.

Escape character is '"\]'.@

A partir de ce point il faut que j'écrive "*]" pour pouvoir réécrire quelque chose dans la console (je ne sais pas si ¢a a son importance). Cela signifie-t-il

que la connexion est un succes ?

J'ai aussi changé SSL en STARTTLS, mais le message d'erreur dans le fichier log est rigoureusement identique : toujours aucun envoi !

Y aurait-il d'autres pistes ?

Encore merci pour votre aide !

09/01/2022 08:51 pm - Frédéric Bréal

J'ai le méme résultat avec le terminal que vous mais ¢a fonctionne toujours avec AMC dans la configuration donnée.
Essayez en changeant le mot de passe de la poste directement sur la messagerie.

Avez-vous un pare-feu sur ubuntu (UFW) ?

09/01/2022 09:11 pm - Alexis Bienveniie
Oui pardon j'ai dit n'importe quoi c'est bien SSL qu'il faut choisir. Et effectivement, d'aprés le message sur la page d'accueil, changer son mot de passe

peut servir...

09/01/2022 09:13 pm - Alexis Bienveniie

Vous pouvez aussi lancer AMC depuis le terminal avec la commande

AMC_DEBUG_SMTP=1 auto-multiple-choice

puis essayer d'envoyer un message en mode débogage. Vous aurez un fichier @log@ plus fourni (mais éventuellement avec bien plus d'informations

personnelles dedans).

09/02/2022 09:56 am - Alex Ca
Bonjour !

Frédéric Bréal wrote:

> J'ai le méme résultat avec le terminal que vous mais ¢a fonctionne toujours avec AMC dans la configuration donnée.
> Essayez en changeant le mot de passe de la poste directement sur la messagerie.

> Avez-vous un pare-feu sur ubuntu (UFW) ?

J'ai changé le caractere spécial de mon mot de passe mais cela ne fonctionne pas (et il est obligé de choisir un caractere spécial pour son mot de
passe)...
Sinon je ne crois pas avoir de pare-feu, j'ai juste installé Ubuntu sur Windows pour installer AMC.

Alexis Bienvenlie wrote:

> Vous pouvez aussi lancer AMC depuis le terminal avec la commande

>
> AMC_DEBUG_SMTP=1 auto-multiple-choice

>

> puis essayer d'envoyer un message en mode débogage. Vous aurez un fichier @log@ plus fourni (mais éventuellement avec bien plus d'informations
personnelles dedans).

J'ai donc bien remis le SSL.
Etrangement le fichier @log@ n'est pas plus fourni (parlons-nous bien du fichier @mailing.log@ depuis le début ?) malgré la commande
"AMC_DEBUG_SMTP=1 auto-multiple-choice" et donne toujours le méme résultat

Désolé d'embéter, j'ai I'impression d'avoir loupé quelque chose a force ahah A
09/02/2022 10:01 am - Alexis Bienveniie
> parlons-nous bien du fichier mailing.log depuis le début ?

Non ce n'est pas celui-la. Il faut passer en mode débogage (depuis le menu _Aide_) avant de lancer I'envoi des messages, cela fabriquera un fichier
@AMC-DEBUG-XXXXXX.log@ (avec des caracteres aléatoires a la place des X).
